package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class MusicScoreDto {
    @ApiModelProperty(value = "曲库", required = false)
    private SysMusicScore sysMusicScore;

    @ApiModelProperty(value = "曲库伴奏", required = false)
    private List<SysMusicScoreAccompaniment> sysMusicScoreAccompaniments;

    private List<Integer> delExamSongAccompanimentIds;

    public List<Integer> getDelExamSongAccompanimentIds() {
        return delExamSongAccompanimentIds;
    }

    public void setDelExamSongAccompanimentIds(List<Integer> delExamSongAccompanimentIds) {
        this.delExamSongAccompanimentIds = delExamSongAccompanimentIds;
    }

    public SysMusicScore getSysMusicScore() {
        return sysMusicScore;
    }

    public void setSysMusicScore(SysMusicScore sysMusicScore) {
        this.sysMusicScore = sysMusicScore;
    }

    public List<SysMusicScoreAccompaniment> getSysMusicScoreAccompaniments() {
        return sysMusicScoreAccompaniments;
    }

    public void setSysMusicScoreAccompaniments(List<SysMusicScoreAccompaniment> sysMusicScoreAccompaniments) {
        this.sysMusicScoreAccompaniments = sysMusicScoreAccompaniments;
    }
}
